# Jupyter Docker Image

This directory contains build files for a complete jupyter environment. It is based off the following repositories:

 - https://github.com/jupyter/docker-stacks
 - https://github.com/rgriffogoes/scraper-notebook
 - https://github.com/sharpTrick/sage-notebook

The images these files produce contain everything you could possibly want in a jupyter notebook. Unfortunately, this also means that they take forever to build.


## Building the Image

To build this image, run `build/build.fish.` Edit the script to customize the image.


## Image contents
 - jupyterlab, jupyterhub, notebook
   - latex + pandoc for exporting
   - mamba for packages
 - Python
   - Scrape tools (bs4, requests)
   - scipy, scikit-learn, scikit-image
   - tensorflow
   - sympy
   - numpy
   - matplotlib
   - pandas
 - Octave
 - R


## TODO
 - User config
 - Volume permissions
 - Auto dark theme
 - Fix sage
 - Selenium (broken)
 - GPU support ([source](https://github.com/iot-salzburg/gpu-jupyter))
 - Haskell ([source](https://github.com/IHaskell/ihaskell-notebook))
 - Rust Kernel
 - C++ Kernel
 - Julia Kernel
 - Perl Kernel
 - Maxima Kernel
